> ## Documentation Index
> Fetch the complete documentation index at: https://docs.join.tl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Jointl assessment status



## OpenAPI

````yaml /specs/openapi/greenhouse-v1.openapi.yaml get /api/apps/greenhouse/v1/assessment/test_status
openapi: 3.1.2
info:
  title: Jointl Greenhouse Integration API
  version: 1.0.0
  description: >-
    Jointl endpoints used by Greenhouse Recruiting webhooks and the
    assessment-partner integration.
  contact:
    name: Jointl Support
    url: https://join.tl
servers:
  - url: https://api.join.tl
    description: Jointl production API
security: []
externalDocs:
  description: Greenhouse Harvest API documentation for upstream dependencies
  url: https://developers.greenhouse.io/harvest.html
paths:
  /api/apps/greenhouse/v1/assessment/test_status:
    get:
      summary: Get Jointl assessment status
      operationId: getGreenhouseAssessmentStatus
      parameters:
        - name: partner_interview_id
          in: query
          required: true
          schema:
            type: string
            pattern: ^[23456789ABCDEFGHJKLMNPQRSTWXYZabcdefghijkmnopqrstuvwxyz]{17}$
      responses:
        '200':
          description: Current assessment status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GreenhouseTestStatus'
              example:
                metadata:
                  Started At: Thu, Jan 15 2026, 10:30
                partner_profile_url: https://join.tl/checks/check_example_01/overview
                partner_score: 75
                partner_status: in_progress
        '401':
          description: Invalid assessment API key.
        '404':
          description: Visible assessment request not found.
        '429':
          description: Rate limited.
          headers:
            Retry-After:
              schema:
                type: integer
        '500':
          description: The request could not be processed.
          content:
            text/plain:
              schema:
                type: string
              example: Greenhouse request could not be processed
      security:
        - GreenhouseAssessmentBasic: []
components:
  schemas:
    GreenhouseTestStatus:
      type: object
      properties:
        partner_status:
          type: string
          enum:
            - in_progress
            - complete
        partner_profile_url:
          type: string
          format: uri
        partner_score:
          type: integer
          minimum: 0
          maximum: 100
        metadata:
          type: object
          additionalProperties:
            type: string
      required:
        - partner_status
        - partner_profile_url
        - partner_score
        - metadata
      additionalProperties: false
  securitySchemes:
    GreenhouseAssessmentBasic:
      type: http
      scheme: basic
      description: >-
        Installation-specific Greenhouse assessment API key via HTTP Basic
        authentication.

````